Package org.acplt.oncrpc.apps.jrpcgen

# Class JrpcgenContext

java.lang.Object
org.acplt.oncrpc.apps.jrpcgen.JrpcgenContext

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class JrpcgenContext extends Object implements Closeable

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`currentFilename`
Full name of the current source code file.
`File`
`xFile`
The x-file to parse (not: the X Files, the latter ones are something completely different).

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`JrpcgenSHA`
`createSHA(String classname)`
Create a new hash function object and initialize it using a class and package name.
`String`
`getInterfaceName(String programId)`
`final String`
`getJrpcgenVersion()`
`final JrpcgenXdrDefinition.Table`
`globalDefinitions()`
`static String`
`newline()`
`static JrpcgenContext`
`open(JrpcgenOptions options, File xFile, String jrpcgenVersion)`
`static JrpcgenContext`
`open(JrpcgenOptions options, String xfilename, String jrpcgenVersion)`
`final JrpcgenOptions`
`options()`
`final Set<String>`
`predefinedTypes()`
`void`
`reset()`
`final Set<String>`
`typesInDynamicVectorUse()`
`final Set<String>`
`typesInFixedVectorUse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### xFile

public File xFile
The x-file to parse (not: the X Files, the latter ones are something completely different).

### currentFilename

public String currentFilename
Full name of the current source code file.

## Method Details

### newline

public static String newline()

### open

public static JrpcgenContext open(JrpcgenOptions options, File xFile, String jrpcgenVersion) throws IOException

Throws:
  `IOException`

### open

public static JrpcgenContext open(JrpcgenOptions options, String xfilename, String jrpcgenVersion) throws IOException

Throws:
  `IOException`

### getJrpcgenVersion

public final String getJrpcgenVersion()

### options

public final JrpcgenOptions options()

### globalDefinitions

public final JrpcgenXdrDefinition.Table globalDefinitions()

### typesInFixedVectorUse

public final Set<String> typesInFixedVectorUse()

### typesInDynamicVectorUse

public final Set<String> typesInDynamicVectorUse()

### predefinedTypes

public final Set<String> predefinedTypes()

### getInterfaceName

public String getInterfaceName(String programId)

### createSHA

public JrpcgenSHA createSHA(String classname)
Create a new hash function object and initialize it using a class and package name.

Parameters:
  `classname` - Name of class.
Returns:
  hash function object.

### reset

public void reset()

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`